Bug 961088 - [abrt] system-config-services-0.101.8-1.fc18: connection.py:651:call_blocking:DBusException: org.fedoraproject.slip.dbus.service.PolKit.NotAuthorizedException.org.fedoraproject.config.services.manage:
[abrt] system-config-services-0.101.8-1.fc18: connection.py:651:call_blocking...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:745b4043e61e8ff9a42a1e91773...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 14:53 EDT by G.Hovsepyan
Modified: 2014-03-15 03:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:17:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.71 KB, text/plain)
2013-05-08 14:53 EDT, G.Hovsepyan
no flags Details
File: core_backtrace (712 bytes, text/plain)
2013-05-08 14:53 EDT, G.Hovsepyan
no flags Details
File: dso_list (68 bytes, text/plain)
2013-05-08 14:54 EDT, G.Hovsepyan
no flags Details
File: environ (1.71 KB, text/plain)
2013-05-08 14:54 EDT, G.Hovsepyan
no flags Details

  None (edit)
Description G.Hovsepyan 2013-05-08 14:53:34 EDT
Version-Release number of selected component:
system-config-services-0.101.8-1.fc18

Additional info:
cmdline:        /usr/bin/python /usr/bin/system-config-services
executable:     /usr/bin/system-config-services
kernel:         3.8.11-200.fc18.x86_64
uid:            1001
ureports_counter: 1

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.fedoraproject.slip.dbus.service.PolKit.NotAuthorizedException.org.fedoraproject.config.services.manage: 

Traceback (most recent call last):
  File "/usr/bin/system-config-services", line 1125, in on_serviceRestart_activate
    self.systemd_manager.RestartUnit(service.unit_id)
  File "<string>", line 2, in RestartUnit
  File "/usr/lib/python2.7/site-packages/slip/dbus/polkit.py", line 103, in _enable_proxy
    return func(*p, **k)
  File "/usr/lib/python2.7/site-packages/scservices/core/systemd/manager.py", line 119, in RestartUnit
    return self.privileged_manager_interface.RestartUnit(name, mode)
  File "/usr/lib/python2.7/site-packages/slip/dbus/proxies.py", line 50, in __call__
    return dbus.proxies._ProxyMethod.__call__(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.fedoraproject.slip.dbus.service.PolKit.NotAuthorizedException.org.fedoraproject.config.services.manage: 

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x111f830>
args: (dbus.String(u'rootfs-resize.service'), 'replace')
object_path: '/org/fedoraproject/Config/Services/systemd1'
signature: u'ss'
bus_name: dbus.UTF8String(':1.61')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: 2147483.647
kwargs: {}
dbus_interface: 'org.freedesktop.systemd1.Manager'
message: <dbus.lowlevel.MethodCallMessage path: /org/fedoraproject/Config/Services/systemd1, iface: org.freedesktop.systemd1.Manager, member: RestartUnit dest: :1.61>
method: 'RestartUnit'

Potential duplicate: bug 951317
Comment 1 G.Hovsepyan 2013-05-08 14:53:37 EDT
Created attachment 745371 [details]
File: backtrace
Comment 2 G.Hovsepyan 2013-05-08 14:53:55 EDT
Created attachment 745372 [details]
File: core_backtrace
Comment 3 G.Hovsepyan 2013-05-08 14:54:02 EDT
Created attachment 745374 [details]
File: dso_list
Comment 4 G.Hovsepyan 2013-05-08 14:54:04 EDT
Created attachment 745375 [details]
File: environ
Comment 5 Timothy Ward 2013-05-20 03:41:18 EDT
Description of problem:
1) I opened service configuration to stop and restart the cups server.
2) When I stopped the cups service, it actually disabled it from the stop button only.
3) When closing the service configuration page the alert was indicated by abrt.

Version-Release number of selected component:
system-config-services-0.101.10-1.fc18

Additional info:
cmdline:        /usr/bin/python /usr/bin/system-config-services
executable:     /usr/bin/system-config-services
kernel:         3.9.2-200.fc18.i686.PAE
uid:            1000
ureports_counter: 1

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.fedoraproject.slip.dbus.service.PolKit.NotAuthorizedException.org.fedoraproject.config.services.manage: 

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/scservices/gui/__init__.py", line 1126, in on_serviceRestart_activate
    self.systemd_manager.RestartUnit(service.unit_id)
  File "<string>", line 2, in RestartUnit
  File "/usr/lib/python2.7/site-packages/slip/dbus/polkit.py", line 103, in _enable_proxy
    return func(*p, **k)
  File "/usr/lib/python2.7/site-packages/scservices/core/systemd/manager.py", line 119, in RestartUnit
    return self.privileged_manager_interface.RestartUnit(name, mode)
  File "/usr/lib/python2.7/site-packages/slip/dbus/proxies.py", line 50, in __call__
    return dbus.proxies._ProxyMethod.__call__(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.fedoraproject.slip.dbus.service.PolKit.NotAuthorizedException.org.fedoraproject.config.services.manage: 

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x9a0323c>
args: (dbus.String(u'cups.service'), 'replace')
object_path: '/org/fedoraproject/Config/Services/systemd1'
signature: u'ss'
bus_name: dbus.UTF8String(':1.119')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: 2147483.647
kwargs: {}
dbus_interface: 'org.freedesktop.systemd1.Manager'
message: <dbus.lowlevel.MethodCallMessage path: /org/fedoraproject/Config/Services/systemd1, iface: org.freedesktop.systemd1.Manager, member: RestartUnit dest: :1.119>
method: 'RestartUnit'
Comment 6 Maurizio 2013-05-23 12:45:31 EDT
Description of problem:
wifi extender 

Version-Release number of selected component:
system-config-services-0.101.10-1.fc18

Additional info:
cmdline:        /usr/bin/python /usr/bin/system-config-services
executable:     /usr/bin/system-config-services
kernel:         3.9.2-200.fc18.x86_64
uid:            1000
ureports_counter: 3

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.fedoraproject.slip.dbus.service.PolKit.NotAuthorizedException.org.fedoraproject.config.services.manage: 

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/scservices/gui/__init__.py", line 1110, in on_serviceStart_activate
    self.systemd_manager.StartUnit(service.unit_id)
  File "<string>", line 2, in StartUnit
  File "/usr/lib/python2.7/site-packages/slip/dbus/polkit.py", line 103, in _enable_proxy
    return func(*p, **k)
  File "/usr/lib/python2.7/site-packages/scservices/core/systemd/manager.py", line 123, in StartUnit
    return self.privileged_manager_interface.StartUnit(name, mode)
  File "/usr/lib/python2.7/site-packages/slip/dbus/proxies.py", line 50, in __call__
    return dbus.proxies._ProxyMethod.__call__(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.fedoraproject.slip.dbus.service.PolKit.NotAuthorizedException.org.fedoraproject.config.services.manage: 

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x7faba37c9650>
args: (dbus.String(u'ipxd.service'), 'replace')
object_path: '/org/fedoraproject/Config/Services/systemd1'
signature: u'ss'
bus_name: dbus.UTF8String(':1.489')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: 2147483.647
kwargs: {}
dbus_interface: 'org.freedesktop.systemd1.Manager'
message: <dbus.lowlevel.MethodCallMessage path: /org/fedoraproject/Config/Services/systemd1, iface: org.freedesktop.systemd1.Manager, member: StartUnit dest: :1.489>
method: 'StartUnit'
Comment 7 Maurizio 2013-07-28 04:45:49 EDT
Description of problem:
flood  of server , need GNU service 

Version-Release number of selected component:
system-config-services-0.101.10-1.fc18

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/system-config-services
executable:     /usr/bin/system-config-services
kernel:         3.9.10-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.fedoraproject.slip.dbus.service.PolKit.NotAuthorizedException.org.fedoraproject.config.services.manage: 

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/scservices/gui/__init__.py", line 1110, in on_serviceStart_activate
    self.systemd_manager.StartUnit(service.unit_id)
  File "<string>", line 2, in StartUnit
  File "/usr/lib/python2.7/site-packages/slip/dbus/polkit.py", line 103, in _enable_proxy
    return func(*p, **k)
  File "/usr/lib/python2.7/site-packages/scservices/core/systemd/manager.py", line 123, in StartUnit
    return self.privileged_manager_interface.StartUnit(name, mode)
  File "/usr/lib/python2.7/site-packages/slip/dbus/proxies.py", line 50, in __call__
    return dbus.proxies._ProxyMethod.__call__(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.fedoraproject.slip.dbus.service.PolKit.NotAuthorizedException.org.fedoraproject.config.services.manage: 

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x7fbccb3e1650>
args: (dbus.String(u'privoxy.service'), 'replace')
object_path: '/org/fedoraproject/Config/Services/systemd1'
signature: u'ss'
bus_name: dbus.UTF8String(':1.95')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: 2147483.647
kwargs: {}
dbus_interface: 'org.freedesktop.systemd1.Manager'
message: <dbus.lowlevel.MethodCallMessage path: /org/fedoraproject/Config/Services/systemd1, iface: org.freedesktop.systemd1.Manager, member: StartUnit dest: :1.95>
method: 'StartUnit'
Comment 8 Fedora End Of Life 2013-12-21 08:27:09 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2014-02-05 16:17:16 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 pcp 2014-03-15 03:24:54 EDT
This bug is now occurring on my Fedora 19 system (which I upgraded from Fedora 18 using yum in early February).  When I try to report it abrt finds this bug as already having been reported and completed and won't take any further action.  Seems like abrt needs to be able to recognize that this bug should be continued and re-report it for Fedora 19.

Note You need to log in before you can comment on or make changes to this bug.